% ICM-datafilleser
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;
% Variable - Disse verdiene m sjekkes/forandres for hver gang 
% programmet brukes
U = 18000; % Spenning toppverdi
Cmax = 315.58E-12; %Max mulig PD i plottet
ADCLLD = 2.4; % low level discriminator i %
ant = 115;
t = '3bc7000';
r = '3bc700';
z = '3bc70';
w = '3bc7';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x = (0:1/255:1);
V = U*sin(2*pi*x); % Spenning over prveobjekt
VA = abs (V); % absolutt verdi av VT
LV = (Cmax* ADCLLD)/100; % Nedre registrerte verdi
Opprom =(Cmax-(LV))/128;
Y=zeros(128,1);
    for p = 1:128
        Y(p,:) = (Cmax-(p-1)*Opprom);
    end
    [lenght,x]=size(Y);
    a=zeros(128,1);
    for p = 0:127
        a(p+1) = Y(lenght-p);
    end
    Y=[Y;a];

% Verdier til 0 og null matriser

e = zeros(256,256);
VN = zeros(256,256);
l= zeros(256,256);
k= zeros(256,256);
Etot =0;
Etot1 =0;
Etot2 =0;
Etot3 =0;
Etot4 =0;

   % Innlasting og beregning av Etot
    
    % For opptil 9 filer
    if ant<=9
   for d=1:ant
    s = load ( [ t int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = s(:,j)*VA(j);
    end
    
    for q = 1:256
        e(q,:) = VN(q,:)*Y(q);
    end
    Etot = Etot + sum (sum (e)) % Total Energi (J)
   end
    end
    
    
   %For opptil 99 filer
   if 9<ant && ant<99
       for d=1:9
    s = load ( [ t int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = s(:,j)*VA(j);
    end
    
    for q = 1:256
        e(q,:) = VN(q,:)*Y(q);
    end
    Etot1 = Etot1 + sum (sum (e));
       end
              
    for d=10:ant
    m = load ( [ r int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = m(:,j)*VA(j); 
    end
    
    for q = 1:256
        l(q,:) = VN(q,:)*Y(q);
    end
     Etot2 = Etot2 + sum (sum (l)); 
    end
    Etot = Etot1 + Etot2
   end
   
   %For opptil 999 filer
   if 99<ant && ant<=999
       for d=1:9
    s = load ( [ t int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = s(:,j)*VA(j);
    end
    
    for q = 1:256
        e(q,:) = VN(q,:)*Y(q);
    end
    Etot1 = Etot1 + sum (sum (e));
       end
    for d=10:99
    m = load ( [ r int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = m(:,j)*VA(j); 
    end
    
    for q = 1:256
        l(q,:) = VN(q,:)*Y(q);
    end
     Etot2 = Etot2 + sum (sum (l)); 
    end
    
      for d=100:ant
    n = load ( [ z int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = n(:,j)*VA(j); 
    end
    
    for q = 1:256
        k(q,:) = VN(q,:)*Y(q);
    end
     Etot3 = Etot3 + sum (sum (k)); 
    end
    Etot = Etot1 + Etot2 + Etot3
   end
   
   % for opptil 9999 filer 
   if 999<ant && ant<=9999
       for d=1:9
    s = load ( [ t int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = s(:,j)*VA(j);
    end
    
    for q = 1:256
        e(q,:) = VN(q,:)*Y(q);
    end
    Etot1 = Etot1 + sum (sum (e));
       end
    for d=10:99
    m = load ( [ r int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = m(:,j)*VA(j); 
    end
    
    for q = 1:256
        l(q,:) = VN(q,:)*Y(q);
    end
     Etot2 = Etot2 + sum (sum (l)); 
    end
    
      for d=100:999
    n = load ( [ z int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = n(:,j)*VA(j); 
    end
    
    for q = 1:256
        k(q,:) = VN(q,:)*Y(q);
    end
     Etot3 = Etot3 + sum (sum (k)); 
      end
      for d=1000:ant
    b = load ( [ w int2str(d) '.DAT.txt']);
    for j = 1:256;
        VN(:,j) = b(:,j)*VA(j); 
    end
    
    for h = 1:256
        g(h,:) = VN(h,:)*Y(h);
    end
     Etot4 = Etot4 + sum (sum (g)); 
      end
    Etot = Etot1 + Etot2 + Etot3 + Etot4
   end
   